Supported Binary Dependencies

Page last updated:

Warning: Pivotal Cloud Foundry (PCF) v2.4 is no longer supported because it has reached the End of General Support (EOGS) phase as defined by the Support Lifecycle Policy. To stay up to date with the latest software and security updates, upgrade to a supported version.

Each buildpack only supports the stable patches for each dependency listed in the buildpack’s manifest.yml and also in its GitHub releases page. For example, see the php-buildpack releases page.

If you try to use an unsupported binary, staging your app fails with the following error message:

Could not get translated url, exited with: DEPENDENCY_MISSING_IN_MANIFEST:
...
 !
 !     exit
 !
Staging failed: Buildpack compilation step failed